
CoCoA-5 - Design #1520

Replace BOOST_FOREACH by new C++14 range for syntax

26 Oct 2020 10:04 - John Abbott

Status: Closed Start date: 26 Oct 2020

Priority: Low Due date:  

Assignee: John Abbott % Done: 100%

Category: Cleaning Estimated time: 1.44 hour

Target version: CoCoA-5.4.0 Spent time: 1.50 hour

Description

The CoCoA-5 interpreter uses BOOST_FOREACH in several places; I think the C++14 "range" for syntax is essentially a "drop-in

replacement".

Check through the code, and replace BOOST_FOREACH by standard C++ range for where possible.

Related issues:

Related to CoCoALib - Design #1346: C++14: use the new for loop syntax where ... In Progress 21 Oct 2019

Related to CoCoALib - Design #1225: Move to C++14 (skipping C++11) In Progress 06 Sep 2018

History

#1 - 26 Oct 2020 10:04 - John Abbott

- Related to Design #1346: C++14: use the new for loop syntax where appropriate (like cocoa's foreach) added

#2 - 26 Oct 2020 10:05 - John Abbott

- Related to Design #1225: Move to C++14 (skipping C++11) added

#3 - 26 Oct 2020 10:07 - John Abbott

Low priority because the current code works (but I would like to reduce dependency on BOOST).

This is likely to be a long, tedious and unrewarding task.  Probably best to tackle it a small piece at a time... anyway, not today!

#4 - 20 Nov 2020 15:01 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- Target version changed from CoCoA-5.4.2 to CoCoA-5.4.0

- % Done changed from 0 to 50

I think I have done most of the code in src/CoCoA-5.

It compiles and the CoCoA-5 tests all pass.

I made the changes mindlessly (except that I added a couple of const keywords).

Let's hope no nasty surprises pop up!

#5 - 20 Nov 2020 15:04 - John Abbott

- % Done changed from 50 to 70

We still need to see where the new the for syntax can be used in cocoalib -- that is issue #1346.

Maybe I should check the interface code e.g. BuiltinFunctions and so on... sigh!
https://cocoa.dima.unige.it/redmine/issues/1346


#6 - 23 Nov 2020 10:18 - John Abbott

- Status changed from Resolved to Feedback

- % Done changed from 70 to 80

I have checked in my changes.  Let's hope everything works fine!

#7 - 29 Jan 2021 12:05 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 80 to 100

- Estimated time set to 1.44 h
